<template>
  <div class="relative shadow-md sm:rounded-lg w-[90vw] md:w-full">
   
    <div class="overflow-auto">
      <table class="w-full table-fixed text-sm text-left rtl:text-right text-gray-500 dark:text-gray-400">
        <thead class="text-xs text-gray-700 uppercase bg-white dark:bg-gray-700 dark:text-gray-400">
          <tr class="bg-gray-200 text-black">
            <th scope="col" class="w-60 p-4 md:w-auto">Raised Form Name</th>
            <th scope="col" class="w-60 md:w-auto">Raised At</th>
            <th scope="col" class="w-40 md:w-auto">Action</th>
          </tr>
        </thead>
        <tbody>
          <!-- Table rows -->
          <tr class="bg-white dark:border-light-700 hover:bg-light-50 dark:hover:bg-orange-200"
            v-for="filledForm in filledForms.data">
            <td class="mb-5 p-4 dark:text-black">
              {{ filledForm.raised_form.name }}
            </td>
            <td class="mb-5 dark:text-black">
              {{ new Date(filledForm.raised_form.created_at).toLocaleString() }}
            </td>
            <td class="mb-5 flex items-center mt-5">
              <Link v-if="type === 'shared'" :href="`/form/sharedForm/${filledForm.id}`"
                class="font-medium dark:text-green-500 hover:underline">
              <Icon icon="fa-solid fa-eye" class="text-2xl"></Icon>
              </Link>
              <Link v-else-if="type === 'myForm'" :href="`/form/myForm/${filledForm.id}`"
                class="font-medium dark:text-green-500 hover:underline">
              <Icon icon="fa-solid fa-eye" class="text-2xl"></Icon>
              </Link>
              <Link v-else :href="`/form/filledForm/${filledForm.id}/edit`"
                class="font-medium dark:text-green-500 hover:underline">
              <Icon icon="fa-solid fa-pen-to-square" class="text-2xl"></Icon>
              </Link>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>

  

  <Pagination :data="filledForms"></Pagination>
</template>
<script setup>
import { Link } from "@inertiajs/vue3";
import Pagination from "@/Components/Pagination.vue";


const props = defineProps({
  filledForms: Object,
  type: String
});

</script>
